<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns="http://www.w3.org/1999/xhtml"> 

<xsl:import href="../../../../share/XSLT/bottomLinks.xsl"/>

<xsl:import href="globalTemplates.xslt"/>

<xsl:output method="html"/>
<xsl:param name="pwd"/>


<!-- EXCEPTIONS -->
<xsl:template match="/exceptions">
  <html>
    <head>
      <title> Exception of type <xsl:value-of select="@name"/> </title>
      <link href="global.css" rel="stylesheet" type="text/css" />
      <link href="reference.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
    
      <!-- HEADER -->
      <table width="100%">
        <tr>
          <td style="text-align:right">
            <span class="mediumText">
              <a class="naviBlack" target="_top" href="http://www.zvon.org">ZVON</a>
              &gt;
              <a class="naviBlack" target="_top" href="http://www.zvon.org/index.php?nav_id=references">References</a>
              &gt;
              <b>DOM2 Reference</b>
            </span>
          </td>
        </tr>
      </table>
      <table class="bar" width="750px" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td class="naviBlue">
            <a class="naviWhite" target="_top" href="../Output/index.html">Intro</a>
            /
            <a class="naviWhite" target="_top" href="http://zvon.org/search.php">Search</a>
            /
            <a class="naviWhite" target="_top" href="http://www.zvon.org"> ZVON </a>
          </td>
        </tr>
      </table>
      <table width="100%" border="0" cellpadding="0" cellspacing="0" class="menu">
        <tr>
          <td>&#160;&#160;&#160;<a class="menuH" href="javascript: history.back()">[Back]</a></td>
          <td class="right">
            <a class="menuH" href="_glossary.html">[Glossary]</a>&#160;
            <a class="menuH" href="_help.html">[Help]</a>&#160;&#160;&#160;
          </td>
        </tr>
      </table>

      <h1>&#160;<u>&#160;Exceptions&#160;</u></h1>
       
      <!-- EXCEPTIONS body -->
      <xsl:apply-templates select="exception"/>

      <!-- FOOTER -->
      <xsl:call-template name="footer"/>

    </body>
  </html>
</xsl:template>



<xsl:template match="exception">

  <a name="{@name}"/>
  <h2>
    <a href="{@standardPath}#{@standard}" class="interface"><xsl:value-of select="@name"/></a>
  </h2>

  <div class="bold1">Description: </div>
  <div class="dataBody">
    <xsl:apply-templates select="description">
      <xsl:with-param name="module">Exceptions</xsl:with-param>
    </xsl:apply-templates>
  </div>

  <xsl:apply-templates select="../group[@name = current()/groupRef/@ref]"/>

  <xsl:if test="not(position() = last())">
    <br/>
    <hr width="50%"/>
  </xsl:if>

</xsl:template>



<!-- ZVON related -->
<xsl:template name="footer">
  <xsl:call-template name="bottomLinks"/>
</xsl:template>



</xsl:stylesheet>



